package model

import pasturePb "gitee.com/xuyiping_admin/go_proto/proto/go/backend/cow"

const (
	FirstClassMilkTime      = "first_class_milk_time"
	SecondClassMilkTime     = "second_class_milk_time"
	ThirdClassMilkTime      = "third_class_milk_time"
	FourthClassMilkTime     = "fourth_class_milk_time"
	UpdateMilkOriginalMaxId = "update_max_id"
)

type MilkConfigure struct {
	Id        int64                 `json:"id"`
	PastureId int64                 `json:"pastureId"`
	Name      string                `json:"name"`
	Value     string                `json:"value"`
	Remarks   string                `json:"remarks"`
	IsShow    pasturePb.IsShow_Kind `json:"is_show"`
	CreatedAt int64                 `json:"createdAt"`
	UpdatedAt int64                 `json:"updatedAt"`
}

func (s *MilkConfigure) TableName() string {
	return "milk_configure"
}
