package model

import pasturePb "gitee.com/xuyiping_admin/go_proto/proto/go/backend/cow"

type MilkHallList struct {
	Id        int64                 `json:"id"`
	PastureId int64                 `json:"pasture_id"`
	Name      string                `json:"name"`
	Brand     string                `json:"brand"`
	Kind      string                `json:"kind"`
	Field     int32                 `json:"field"`
	IsShow    pasturePb.IsShow_Kind `json:"is_show"`
	CreatedAt int64                 `json:"created_at"`
	UpdatedAt int64                 `json:"updated_at"`
}

func (m *MilkHallList) TableName() string {
	return "milk_hall_list"
}
